* {
    margin: 0;
    padding: 0;
}

body {
    width: 90%;
    margin: 10px auto;
}

span {
    font-size: xx-large;
    font-weight: 1000;
}

.max, .min {
    font-size: medium;
    font-weight: 100;
}

.min {
    display: none;
}

div {
    height: 600px;
    background-color: #2196F3;
    display: grid;
    padding: 10px;
    gap: 10px;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-template-areas:
        "header header header header header header"
        "nav main main main aside aside"
        "nav footer footer footer footer footer";
}

div * {
    background-color: rgba(255, 255, 255, 0.8);
    font-size: 30px;
    display: flex;
    text-align: center;
    flex-direction: column;
    justify-content: center;
}

header {
    grid-area: header;
}

nav {
    grid-area: nav;
}

aside {
    grid-area: aside;
}

footer {
    grid-area: footer;
}

main {
    grid-area: main;
}

@media all and (max-width:600px) {
    .min {
        display: inline;
    }

    .max {
        display: none;
    }

    div {
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(4, 1fr);
        grid-template-areas:
            "header header header"
            "main   main   nav"
            "aside  aside  nav"
            "footer footer nav";
    }
}